﻿using UnityEngine;
using System.Collections;

public class FireScript : MonoBehaviour {

    PlayerHealth parentHealth;

    public float constantDamagepoints = 0.1f;

    public float burningTime = 10;

	// Use this for initialization
	void Start () {
        Invoke("stopBurning", burningTime);
	}
	
	// Update is called once per frame
	void Update () {
        if (parentHealth != null)
        {
            parentHealth.changeHealthBy(-constantDamagepoints);
        }
	}

    void OnTriggerEnter2D(Collider2D other)
    {
        if (other.tag == "Player")
        {
            parentHealth = other.GetComponent<PlayerHealth>();
            transform.position = other.transform.position; //hier schon position setzen
            transform.parent = other.transform;
        }
    }

    void stopBurning()
    {
        Destroy(gameObject);
    }
}
